Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class MalformedServerReplyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.apache.commons.net.MalformedServerReplyException

All Implemented Interfaces:
  java.io.Serializable

public class MalformedServerReplyException
extends java.io.IOException

This exception is used to indicate that the reply from a server could not be interpreted. Most of the NetComponents classes attempt to be as lenient as possible when receiving server replies. Many server implementations deviate from IETF protocol specifications, making it necessary to be as flexible as possible. However, there will be certain situations where it is not possible to continue an operation because the server reply could not be interpreted in a meaningful manner. In these cases, a MalformedServerReplyException should be thrown.

Author:
  Daniel F. Savarese
See Also:
  Serialized Form

Constructor Summary
`MalformedServerReplyException()` Constructs a MalformedServerReplyException with no message
`MalformedServerReplyException(java.lang.String message)` Constructs a MalformedServerReplyException with a specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedServerReplyException

    public MalformedServerReplyException()

  Constructs a MalformedServerReplyException with no message

### MalformedServerReplyException

    public MalformedServerReplyException(java.lang.String message)

  Constructs a MalformedServerReplyException with a specified message.

Parameters:
  `message` - The message explaining the reason for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.